Function
getValueByKey
Given a key, retrieve its value of the current annotation.
getValueByKey(iter, key)
getValueByKey(iter, key, value)
Include Headers
seqan/store.h
Parameters

iter | An annotation tree iterator. Types: AnnotationTree Iterator
key | The key to retrieve the value from. Types: SequenceConcept
value | The sequence where the return value should be wrote to. Types: SequenceConcept

Return Values
The three-parameter function returns a boolean indicating whether a non-empty value was returned.
The two-parameter function returns the value for the given key.
Types: bool, CharString
Member of
AnnotationTree Iterator
See Also
clearValues, assignValueByKey
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58